# Contributing to SCANEO

SCANEO is an open-source project managed by [EarthPulse](https://earthpulse.ai). We welcome bug reports and contributions from the community to help improve the tool.

## How to Contribute

### Bug Reports

If you find a bug or have a suggestion for improvement, please:

1. Check if the issue has already been reported in the [GitHub Issues](https://github.com/earthpulse/scaneo/issues)
2. If not, create a new issue with:
   - A clear description of the problem
   - Steps to reproduce the issue
   - Expected behavior
   - Screenshots if applicable
   - Your environment details (browser, OS, etc.)

### Code Contributions

We welcome code contributions! Here's how to get started:

1. Fork the [SCANEO repository](https://github.com/earthpulse/scaneo)
2. Create a new branch for your feature or bug fix
3. Make your changes
4. Write or update tests as needed
5. Submit a pull request with a clear description of your changes

### Development Setup

To set up the development environment:

1. Clone the repository
2. Install dependencies
3. Follow the development guidelines in the README

## Code of Conduct

Please be respectful and considerate of others when contributing to SCANEO. We aim to maintain a welcoming and inclusive community.

## License

SCANEO is released under the MIT License. By contributing, you agree that your contributions will be licensed under the same terms.
